#
# spec file for package python-palettable
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without  test
%{?sle15_python_module_pythons}
Name:           python-palettable
Version:        3.3.3
Release:        1.2
Summary:        Color palettes for Python
License:        MIT
URL:            https://jiffyclub.github.io/palettable/
Source:         https://files.pythonhosted.org/packages/source/p/palettable/palettable-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Palettable (formerly brewer2mpl) is a library of color palettes for Python.
It's written in pure Python with no dependencies, but it can supply color maps
for matplotlib. You can use Palettable to customize matplotlib plots or supply
colors for a web application.

%prep
%setup -q -n palettable-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_expand  rm -rf %{buildroot}%{$python_sitelib}/{docs,scripts,test}

%check
%pytest

%files %{python_files}
%doc README.rst
%license license.txt
%{python_sitelib}/palettable
%{python_sitelib}/palettable-%{version}.dist-info

%changelog
* Mon Nov 11 2024 Dirk Müller <dmueller@suse.com>
- update to 3.3.3:
  * Set python_requires metadata in setup.py
  * Removed setuptools as a runtime dependency (thanks @wch in #46)
* Tue Nov 19 2019 Todd R <toddrme2178@gmail.com>
- Update to 3.3.0
  * Adding Fabion Crameri's Scientific Colour-Maps
  * Update Wes Anderson palettes with Isle of Dogs
* Tue Jul 23 2019 Todd R <toddrme2178@gmail.com>
- Update to 3.2.0
  * Light & Bartlein palettes
  * Drop official support for Python 2.6 and 3.3
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update to 3.1.1
  * Make sure license is included in the distribution.
* Thu May  3 2018 toddrme2178@gmail.com
- Add license file
- Use %%license tag
* Thu May  3 2018 toddrme2178@gmail.com
- Update to version 3.1.0
  * CartoColors palettes
* Thu Aug 17 2017 toddrme2178@gmail.com
- Initial version
